Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\AbstractFieldTypeParser Class Reference

Abstract parser class that field type parsers need to extend in order to receive NodeBuilder at Node just under ezpublish. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\AbstractFieldTypeParser:

## Public Member Functions
| addSemanticConfig (NodeBuilder $nodeBuilder)
| Adds semantic configuration definition. More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\AbstractParser
| preMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor before looping over available scopes. More...
| postMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor after looping over available scopes. More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationMapperInterface
| mapConfig (array &$scopeSettings, $currentScope, ContextualizerInterface $contextualizer)
| Does semantic config to internal container parameters mapping for $currentScope. More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\FieldTypeParserInterface
| getFieldTypeIdentifier ()
| Returns the fieldType identifier the config parser works for. More...
| addFieldTypeSemanticConfig (NodeBuilder $nodeBuilder)
| Adds fieldType semantic configuration definition. More...

## Detailed Description

Abstract parser class that field type parsers need to extend in order to receive NodeBuilder at Node just under ezpublish.

<system>.<siteaccess>.fieldtypes.<identifier>.

Definition at line 17 of file AbstractFieldTypeParser.php.

## Member Function Documentation

## ◆ addSemanticConfig()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\AbstractFieldTypeParser::addSemanticConfig | ( | NodeBuilder | $nodeBuilder | ) |

Adds semantic configuration definition.

Parameters

  \Symfony\Component\Config\Definition\Builder\NodeBuilder | $nodeBuilder | Node just under ezpublish.<system>.<siteaccess>

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ParserInterface.

Definition at line 24 of file AbstractFieldTypeParser.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\FieldTypeParserInterface\addFieldTypeSemanticConfig(), and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\FieldTypeParserInterface\getFieldTypeIdentifier().

The documentation for this class was generated from the following file:

- AbstractFieldTypeParser.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.